aboutsummaryrefslogtreecommitdiff
path: root/test/azure-cli/install_extensions.sh
diff options
context:
space:
mode:
authorPaul Yu <pauyu@microsoft.com>2022-11-14 23:22:02 +0300
committerGitHub <noreply@github.com>2022-11-14 23:22:02 +0300
commiteafa28287e15b51a2aa20a227056f0af43d20275 (patch)
tree0f411627b91ba04b9d1d3664b4e12fe003000c47 /test/azure-cli/install_extensions.sh
parente00724a0c6d4c4f8fab166e065d2b00c7357514b (diff)
Add new option to install azure-cli extensions (#165)
* Add new option for azure-cli extensions * Update to install az extensions as $_REMOTE_USER * Skip unknown extensions * Change azure cli extension option type to string * Adding test for azure-cli extensions
Diffstat (limited to 'test/azure-cli/install_extensions.sh')
-rw-r--r--test/azure-cli/install_extensions.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/azure-cli/install_extensions.sh b/test/azure-cli/install_extensions.sh
new file mode 100644
index 0000000..1e66e26
--- /dev/null
+++ b/test/azure-cli/install_extensions.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+# Import test library for `check` command
+source dev-container-features-test-lib
+
+# Check to make sure the user is vscode
+check "user is vscode" whoami | grep vscode
+
+# Extension-specific tests
+check "aks-preview" az extension show --name aks-preview
+check "amg" az extension show --name amg
+check "containerapp" az extension show --name containerapp
+
+# Report result
+reportResults \ No newline at end of file